# Decentraland Editor SDK7

This extension allows you to build Decentraland scenes. A scene is a Decentraland project that is spatially delimited, and is mapped to one or several LAND parcels, or to a NAME in a Decentraland world. If a scene is deployed to the Decentraland map, players can experience it by visiting the scene’s coordinates. If a scene is deployed to a NAME, players can visit it by going to the corresponding world.

This extension provides an easy UI for performing the following tasks from the development workflow:

- **Create projects**: Scaffold a new scene project.
- **Run scenes**: Preview your scenes within VSCode, or launch in a browser.
- **Debug scenes**: Set breakpoints, use the debugger to stop/resume execution, see and modify the values of the variables in the scope, step over or step into your code line by line.
- **Publish scenes**: Publish your scene to the Genesis City, your own World, or a private/custom server.
- **Manage dependencies**: Add, remove, update, and list the libraries and dependencies that your project is using.
- **Preview models**: View an interactive preview window when selecting a `.gltf` or `.glb` model.

To learn how to work with this extension to create content for Decentralnad, check out the [Getting started guide](https://docs.decentraland.org/creator/development-guide/sdk7/sdk-101/) and the [development workflow](https://docs.decentraland.org/creator/development-guide/sdk7/dev-workflow/) on the Decentraland [creator documentation](https://docs.decentraland.org/creator).
